Bug 151234 - Can't boot from FC4-test1-ppc-DVD
Can't boot from FC4-test1-ppc-DVD
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
4
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-16 04:48 EST by Gabriel Labelle
Modified: 2007-11-30 17:11 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 22:32:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gabriel Labelle 2005-03-16 04:48:10 EST
Description of problem:

Booting from FC4-test1-ppc-DVD doesn't work.

How reproducible:

Everytime

Steps to Reproduce:
1. Download FC4-test1-ppc-DVD.iso (sha1sum:
5cfc5676e232bb173d9b23d4ded7258a28d8bab8)
2. Burn the iso image to a DVD
3. Boot from it and hold the c during the system's startup.
  
Actual results:

Comes back to the bootstrap prompt

Expected results:

Boot from CD

Additional info:

I have a Powerbook G4 17" 1.5GHz (superdrive).

Many thanks for your time and help.
Comment 1 Gabriel Labelle 2005-03-16 04:59:39 EST
I must also add that since it's impossible to eject a CD during the FC4-test1
ppc installation process
(https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=151232), the DVD is
useless for now.
Comment 2 Colin Charles 2005-03-16 09:50:44 EST
Bug in the mkisofs script rendered the CD/DVD un-bootable - i.e. the CD isn't
blessed

You can extract the boot.iso, and then do an installation via the dvd ISO being
nfs mounted, for instance.

Reassiging to distribution (this is not an Ant problem)
Comment 3 Elliot Lee 2005-03-16 14:44:42 EST
Non-bootability is a known problem that was mentioned in the release notes.
We'll get to it eventually.

Jeremy et al: I need splittree.py to have an option that says "when allocating
space, reserve X amount of space on the first CD".
Comment 4 Drew Bertola 2005-03-16 18:54:48 EST
Colin Charles mentioned that you could "extract the boot.iso, and then do an
installation..."

Are there any instructions on this? 

Also, is the mkisofs script (and a fix) posted somewhere so that I can make a
new iso myself?
Comment 5 Elliot Lee 2005-03-16 19:09:23 EST
The boot.iso file is stored on the DVD - just do a loopback mount of the DVD or
CD#1 image, and grab boot.iso from under the images directory.

Rerunning mkisofs is not practical for CD#1. It should be doable for the DVD
image but you'll have to figure that one out yourself.

fedora-test-list is a good place to ask for futher help than bugzilla can hold :)
Comment 6 Gabriel Labelle 2005-03-16 19:23:21 EST
Also note that the boot CD (boot.iso) won't eject when choosing CD-ROM (DVD)
installation method (https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=151232).

The only way to install from DVD using the CD-ROM installation method for now is
to use Paul Nasrat's USB key image
(http://people.redhat.com/pnasrat/ppcboot.img) as he described in bug 151232.

I've tested it and it works fine.
Comment 7 Sean Earp 2005-03-18 00:40:01 EST
Dang!  I just cleared off a spare hard drive in my Dual Powermac 867, and the
non-booting DVD is kind of a deal-breaker.  I can't report any operational bugs
if I can't install to begin with! ;)  I know  you said that the booting problem
will be fixed eventually... is that FC4 Test 2 eventually, or FC6 eventually?

-Sean
Comment 8 Paul Eden 2005-03-18 10:15:28 EST
I would like to add that the boot cd/dvd is a dealbreaker for me and my
organization.  Thank you for your work on the powerpc port.
Comment 9 Elliot Lee 2005-03-18 11:17:03 EST
Once splittree.py gets fixed, it'll be in there. When that happens is up to the
anaconda team.
Comment 10 Jeremy Katz 2005-03-21 15:36:44 EST
Elliot -- 

Added --reserve_size= as an option to splittree (also can be set with
Timber.reserve_size=n).  Will be in anaconda as of tonight and should be easy to
use from builddistro from there.
Comment 11 Elliot Lee 2005-03-21 22:32:06 EST
Thanks! builddistro is all set.

Note You need to log in before you can comment on or make changes to this bug.